package com.dxhy.erp.utils;

/**
 * @author guoker
 * @date 2020-12-30
 */
public class ServiceResult<T> {
    private boolean result = false;
    private String msg;
    private T data;

    public boolean getResult() {
        return this.result;
    }

    public ServiceResult<T> setResult(boolean result) {
        this.result = result;
        return this;
    }

    public String getMsg() {
        return this.msg;
    }

    public ServiceResult<T> setMsg(String msg) {
        this.msg = msg;
        return this;
    }

    public T getData() {
        return this.data;
    }

    public ServiceResult<T> setData(T data) {
        this.data = data;
        return this;
    }

    @Override
    public String toString() {
        return "ServiceResult{result=" + this.result + ", message='" + this.msg + '\'' + ", data=" + this.data + '}';
    }
}
